package com.zhilin.patrol.tool;

import android.annotation.SuppressLint;
import android.content.Context;
import android.os.Environment;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import android.widget.Toast;

import java.io.File;

/**
 * 工具类
 */
public class Utils {

    /**
     * Toast
     * @param context
     * @param text
     */
    public static void showToast(Context context, String text) {
        if (TextUtils.isEmpty(text)) return;
        Toast.makeText(context, text, Toast.LENGTH_SHORT).show();
    }

    /**
     * 判断文件是否存在
     * @param path
     * @return
     */
    public static boolean fileIsExists(String path) {
        if (TextUtils.isEmpty(path))
            return false;
        try {
            File f = new File(path);
            if (!f.exists()) {
                return false;
            }
        } catch (Exception e) {

            return false;
        }
        return true;
    }

    /**
     * 创建文件夹
     * @param path
     * @return
     */
    public static boolean createDir(String path) {
        File dir = new File(path);
        if (dir.exists())
            return true;
        if (Environment.getExternalStorageState().equals(
                Environment.MEDIA_MOUNTED)) {
            return dir.mkdirs();
        }
        return false;
    }

    /**
     * 删除图片
     * @param path 文件路径
     */
    public static void delSingleFile(String path) {
        if (TextUtils.isEmpty(path))
            return;
        File file = new File(path);
        if (file.exists()) {
            file.delete();
        }
    }



}
